
Redmine - Defect #2682

 105 BuildProjectsTree: migrating error

2009-02-05 18:09 - Antonio Fallucchi

Status: Closed Start date: 2009-02-05

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

I have update my redmine svn revision and execute rake db:migrate --trace.

the error is:

Invoke db:migrate (first_time)

Invoke environment (first_time)

Execute environment

Execute db:migrate

105 BuildProjectsTree: migrating =========================================

rake aborted!

Validation failed: Identifier activerecord_error_invalid

/var/lib/gems/1.8/gems/activerecord-2.1.2/lib/active_record/validations.rb:923:in `save_without_dirty!'

/var/lib/gems/1.8/gems/activerecord-2.1.2/lib/active_record/dirty.rb:83:in `save_without_transactions!'

/var/lib/gems/1.8/gems/activerecord-2.1.2/lib/active_record/transactions.rb:110:in `save!'

/var/lib/gems/1.8/gems/activerecord-2.1.2/lib/active_record/connection_adapters/abstract/database_statements.rb:66:in

`transaction'

/var/lib/gems/1.8/gems/activerecord-2.1.2/lib/active_record/transactions.rb:79:in `transaction'

/var/lib/gems/1.8/gems/activerecord-2.1.2/lib/active_record/transactions.rb:98:in `transaction'

/var/lib/gems/1.8/gems/activerecord-2.1.2/lib/active_record/transactions.rb:110:in `save!'

/var/lib/gems/1.8/gems/activerecord-2.1.2/lib/active_record/transactions.rb:118:in `rollback_active_record_state!'

/var/lib/gems/1.8/gems/activerecord-2.1.2/lib/active_record/transactions.rb:110:in `save!'

/var/sites/redmine/vendor/plugins/awesome_nested_set/lib/awesome_nested_set.rb:186:in `rebuild!'

/var/sites/redmine/vendor/plugins/awesome_nested_set/lib/awesome_nested_set.rb:193:in `call'

/var/sites/redmine/vendor/plugins/awesome_nested_set/lib/awesome_nested_set.rb:193:in `rebuild!'

/var/sites/redmine/vendor/plugins/awesome_nested_set/lib/awesome_nested_set.rb:190:in `each'

/var/sites/redmine/vendor/plugins/awesome_nested_set/lib/awesome_nested_set.rb:190:in `rebuild!'

./db/migrate//105_build_projects_tree.rb:3:in `up_without_benchmarks'

/var/lib/gems/1.8/gems/activerecord-2.1.2/lib/active_record/migration.rb:280:in `send'

/var/lib/gems/1.8/gems/activerecord-2.1.2/lib/active_record/migration.rb:280:in `migrate'

/usr/lib/ruby/1.8/benchmark.rb:293:in `measure'

/var/lib/gems/1.8/gems/activerecord-2.1.2/lib/active_record/migration.rb:280:in `migrate'

/var/lib/gems/1.8/gems/activerecord-2.1.2/lib/active_record/migration.rb:455:in `migrate'

/var/lib/gems/1.8/gems/activerecord-2.1.2/lib/active_record/migration.rb:445:in `each'

/var/lib/gems/1.8/gems/activerecord-2.1.2/lib/active_record/migration.rb:445:in `migrate'

/var/lib/gems/1.8/gems/activerecord-2.1.2/lib/active_record/migration.rb:373:in `up'

/var/lib/gems/1.8/gems/activerecord-2.1.2/lib/active_record/migration.rb:356:in `migrate'

/var/lib/gems/1.8/gems/rails-2.1.2/lib/tasks/databases.rake:99

/usr/lib/ruby/1.8/rake.rb:546:in `call'

/usr/lib/ruby/1.8/rake.rb:546:in `execute'

/usr/lib/ruby/1.8/rake.rb:541:in `each'

/usr/lib/ruby/1.8/rake.rb:541:in `execute'

/usr/lib/ruby/1.8/rake.rb:508:in `invoke_with_call_chain'

/usr/lib/ruby/1.8/rake.rb:501:in `synchronize'

/usr/lib/ruby/1.8/rake.rb:501:in `invoke_with_call_chain'

/usr/lib/ruby/1.8/rake.rb:494:in `invoke'

/usr/lib/ruby/1.8/rake.rb:1931:in `invoke_task'

/usr/lib/ruby/1.8/rake.rb:1909:in `top_level'

/usr/lib/ruby/1.8/rake.rb:1909:in `each'

/usr/lib/ruby/1.8/rake.rb:1909:in `top_level'

/usr/lib/ruby/1.8/rake.rb:1948:in `standard_exception_handling'

/usr/lib/ruby/1.8/rake.rb:1903:in `top_level'
/usr/lib/ruby/1.8/rake.rb:1881:in `run'

/usr/lib/ruby/1.8/rake.rb:1948:in `standard_exception_handling'

/usr/lib/ruby/1.8/rake.rb:1878:in `run'

/usr/bin/rake:28

History

#1 - 2009-02-05 18:11 - Antonio Fallucchi

sorry

ruby script/about

About your application's environment

Ruby version              1.8.7 (x86_64-linux)

RubyGems version          1.2.0

Rails version             2.1.2

Active Record version     2.1.2

Action Pack version       2.1.2

Active Resource version   2.1.2

Action Mailer version     2.1.2

Active Support version    2.1.2

Application root          /var/sites/redmine

Environment               development

Database adapter          mysql

Database schema version   104

#2 - 2009-02-05 18:35 - Jean-Philippe Lang

Which version of Redmine are you upgrading from?

This error means that you have a project with an invalid identifier. Did you change one of them by hand in the database?

#3 - 2009-02-06 11:25 - Antonio Fallucchi

I have upgrade redmine versione 0.8.0.devel.2251

I can change entry in the database, Now I try what identifier is incorrect.

There are invalid characters?

#4 - 2009-02-06 11:46 - Antonio Fallucchi

- Status changed from New to Resolved

I found the character "_" which causes the error.

thanks

#5 - 2009-02-09 19:47 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Thanks for the feedback.
